Bug 584751 - Win7 guests: cannot enable disk caching on IDE disks
Summary: Win7 guests: cannot enable disk caching on IDE disks
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm   
(Show other bugs)
Version: 5.5.z
Hardware: All
OS: Windows
low
medium
Target Milestone: rc
: ---
Assignee: chellwig@redhat.com
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 10:49 UTC by Yaniv Kaul
Modified: 2013-07-04 01:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 10:41:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yaniv Kaul 2010-04-22 10:49:10 UTC
Description of problem:
Although the option exist (Device Manager -> Disk Drives -> 'QEMU HARDDISJ ATA' -> right click -> Properties -> Policies) to enable write caching, once you check it you get an error that it cannot be set.

On XP/32, you can set this.

Version-Release number of selected component (if applicable):
kvm-83-164.el5_5.6

How reproducible:
Always - both on Win7/32 and Win7/64.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 chellwig@redhat.com 2010-04-28 15:40:24 UTC
Note that you never could enabled/disable the write cache under qemu.  While return success for the SETFEATURES calls, we never take any action.  I suspect the difference is that Win7 issues an IDENTIFY call later to check if we actually advertize a cache now.

Note that in recent qemu we will always advertize a write cache,

Comment 2 chellwig@redhat.com 2010-05-07 10:41:09 UTC
Yaniv, is this serious in any way?  Even implementing changing the caching settings is not a high priority, and backporting to RHEL5 certainly isn't.  I'm tempted to close this as WONTFIX.

Comment 3 Yaniv Kaul 2010-05-07 18:51:41 UTC
I don't think it's serious, except for the user experience, where it appears he can do something, then gets a bit of an ugly error. If you don't want to fix it, close as WONTFIX. I guess there are more important bugs to fix.


Note You need to log in before you can comment on or make changes to this bug.